# DataExchange
TKSTEP209
StepFEA

# StepFEA_SymmetricTensor23d Class Reference

Representation of STEP SELECT type SymmetricTensor23d
.

`#include <StepFEA_SymmetricTensor23d.hxx>`

Inheritance diagram for StepFEA_SymmetricTensor23d:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepFEA_SymmetricTensor23d ()
| Empty constructor .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a kind of SymmetricTensor23d select type return 0 .
virtual Standard_EXPORT Standard_Integer | CaseMem (const Handle(StepData_SelectMember)&ent) const
| Recognizes a items of select member SymmetricTensor23dMember 1 -> IsotropicSymmetricTensor23d 2 -> OrthotropicSymmetricTensor23d 3 -> AnisotropicSymmetricTensor23d 0 else .
virtual Standard_EXPORT Handle_StepData_SelectMember | NewMember () const
| Returns a new select member the type SymmetricTensor23dMember .
Standard_EXPORT void | SetIsotropicSymmetricTensor23d (const Standard_Real aVal)
| Set Value for IsotropicSymmetricTensor23d .
Standard_EXPORT Standard_Real | IsotropicSymmetricTensor23d () const
| Returns Value as IsotropicSymmetricTensor23d (or Null if another type) .
Standard_EXPORT void | SetOrthotropicSymmetricTensor23d (const Handle(TColStd_HArray1OfReal)&aVal)
| Set Value for OrthotropicSymmetricTensor23d .
Standard_EXPORT Handle_TColStd_HArray1OfReal | OrthotropicSymmetricTensor23d () const
| Returns Value as OrthotropicSymmetricTensor23d (or Null if another type) .
Standard_EXPORT void | SetAnisotropicSymmetricTensor23d (const Handle(TColStd_HArray1OfReal)&aVal)
| Set Value for AnisotropicSymmetricTensor23d .
Standard_EXPORT Handle_TColStd_HArray1OfReal | AnisotropicSymmetricTensor23d () const
| Returns Value as AnisotropicSymmetricTensor23d (or Null if another type) .

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_SymmetricTensor23d::StepFEA_SymmetricTensor23d | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TColStd_HArray1OfReal StepFEA_SymmetricTensor23d::AnisotropicSymmetricTensor23d | ( |  | ) | const

virtual Standard_EXPORT Standard_Integer StepFEA_SymmetricTensor23d::CaseMem | ( | const Handle(StepData_SelectMember)& | ent | ) | const`[virtual]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Standard_Integer StepFEA_SymmetricTensor23d::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

Standard_EXPORT Standard_Real StepFEA_SymmetricTensor23d::IsotropicSymmetricTensor23d | ( |  | ) | const

virtual Standard_EXPORT Handle_StepData_SelectMember StepFEA_SymmetricTensor23d::NewMember | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectType.

void StepFEA_SymmetricTensor23d::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepFEA_SymmetricTensor23d::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepFEA_SymmetricTensor23d::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_TColStd_HArray1OfReal StepFEA_SymmetricTensor23d::OrthotropicSymmetricTensor23d | ( |  | ) | const

Standard_EXPORT void StepFEA_SymmetricTensor23d::SetAnisotropicSymmetricTensor23d | ( | const Handle(TColStd_HArray1OfReal)& | aVal | ) |

Standard_EXPORT void StepFEA_SymmetricTensor23d::SetIsotropicSymmetricTensor23d | ( | const Standard_Real | aVal | ) |

Standard_EXPORT void StepFEA_SymmetricTensor23d::SetOrthotropicSymmetricTensor23d | ( | const Handle(TColStd_HArray1OfReal)& | aVal | ) |

The documentation for this class was generated from the following file:

- StepFEA_SymmetricTensor23d.hxx